> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Current Wallet

> Returns the newest wallet with isCurrent true visible to the caller.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json GET /hris/get-current-wallet
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/get-current-wallet:
    get:
      operationId: getCurrentWallet
      summary: Get Current Wallet
      description: |-
        Returns the newest wallet with isCurrent true visible to the caller.

        Not available to API keys.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetCurrentWalletResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetCurrentWalletResponse:
      type: object
      properties:
        wallet:
          type:
            - object
            - 'null'
          properties:
            network:
              type:
                - string
                - 'null'
            name:
              type:
                - string
                - 'null'
            createdAt:
              type:
                - string
                - 'null'
            updatedAt:
              type:
                - string
                - 'null'
            legacyMigratedAt:
              type:
                - string
                - 'null'
            legacyModelID:
              type:
                - number
                - 'null'
            status:
              type:
                - string
                - 'null'
            address:
              type:
                - string
                - 'null'
            roleInOrgID:
              type:
                - string
                - 'null'
            destinationTag:
              type:
                - number
                - 'null'
            tokenTypeID:
              type:
                - string
                - 'null'
            isCurrent:
              type:
                - boolean
                - 'null'
            investorEntityID:
              type:
                - string
                - 'null'
            walletID:
              type:
                - string
                - 'null'
            memo:
              type:
                - string
                - 'null'
            walletType:
              type:
                - string
                - 'null'
            orgNetworkID:
              type:
                - string
                - 'null'
            isDefault:
              type:
                - boolean
                - 'null'
            walletTypeCustomID:
              type:
                - string
                - 'null'
            nickName:
              type:
                - string
                - 'null'
            connectedViaMesh:
              type:
                - boolean
                - 'null'
            userDismissed:
              type:
                - boolean
                - 'null'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
